### Hierarchy

- Point

### Implements

- IPoint

## Index

### Constructors

- constructor

### Accessors

- x
- y

### Methods

- abs
- add
- div
- floor
- magnitude
- mul
- sub

## Constructors

### constructor

- new Point(x: number, y: number): Point

- - Defined in classes/Point.ts:9

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns Point

## Accessors

### x

- get x(): number

- Implementation of IPoint.x

  - Defined in classes/Point.ts:16

  #### Returns number

### y

- get y(): number

- Implementation of IPoint.y

  - Defined in classes/Point.ts:18

  #### Returns number

## Methods

### abs

- abs(): Point

- - Defined in classes/Point.ts:36

  #### Returns Point

### add

- add(pt: IPoint): Point

- - Defined in classes/Point.ts:20

  #### Parameters

  - ##### pt: IPoint

  #### Returns Point

### div

- div(pt: IPoint): Point

- - Defined in classes/Point.ts:32

  #### Parameters

  - ##### pt: IPoint

  #### Returns Point

### floor

- floor(): Point

- - Defined in classes/Point.ts:44

  #### Returns Point

### magnitude

- magnitude(): number

- - Defined in classes/Point.ts:40

  #### Returns number

### mul

- mul(pt: IPoint): Point

- - Defined in classes/Point.ts:28

  #### Parameters

  - ##### pt: IPoint

  #### Returns Point

### sub

- sub(pt: IPoint): Point

- - Defined in classes/Point.ts:24

  #### Parameters

  - ##### pt: IPoint

  #### Returns Point